import "whatwg-fetch";
export declare class Cart {
    private context;
    private cart;
    constructor();
    init: (context: any, data: any) => void;
    triggerPaymentButtons: () => void;
    /**
     * TODO: I have switched this to use axios because there were caching issues on older versions of
     * Safari (v11.1). It would make sense to switch all requests to use axios but I haven't done so
     * far as I do not have time to test the other requests are still working.
     */
    getCartJSON: () => Promise<any>;
    addItem: (id: number, qty: number, properties?: any) => Promise<void>;
    addItems: (items: Array<{
        id: number;
        qty: number;
        properties?: any;
    }>) => Promise<void>;
    removeItem: (key: string) => Promise<void>;
    updateQty: (key: string, qty: number) => Promise<void>;
    updateProperties: (key: string, properties: {
        [key: string]: string;
    }) => Promise<void>;
    updateVariant: (key: string, id: number, qty: number) => Promise<void>;
    getCart: () => Promise<void>;
    updateNote: (note: string) => Promise<void>;
    clearNote: () => Promise<void>;
    clearCart: () => Promise<void>;
    getShippingRates: (country: string, postcode: string) => Promise<void>;
    private getLocationFromPostcode;
    getProductRecommendations: (id: number, limit: number) => Promise<void>;
    toggleFreeShipping: (event: any) => void;
    toggleUpsells: (event: any) => void;
    toggleFreeGift: (event: any) => void;
}
export declare namespace Cart { }
